Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class EditPointMouseTransformFactory.EditSmoothCoeffTransform

    java.lang.Object
      jpicedt.graphic.toolkit.EditPointMouseTransformFactory.EditSmoothCoeffTransform

All Implemented Interfaces:
  MouseTransform

Enclosing class:
  EditPointMouseTransformFactory

protected class EditPointMouseTransformFactory.EditSmoothCoeffTransform
extends Object
implements MouseTransform

a mouse-transform that edit smooth-coefficients for a PicSmoothPolygon (edit ALL selected points at once)

Constructor Summary
`protected` | `EditPointMouseTransformFactory.EditSmoothCoeffTransform()`

Method Summary
`Cursor` | `getCursor()` Return the cursor for this MouseTransform
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called when the mouse is released.
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Allows the MouseTransform to do specific graphic rendering when it's operating.
`void` | `process(PEMouseEvent e)` Called when the mouse is dragged.
`void` | `start(PEMouseEvent e)` Called when the mouse is pressed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditPointMouseTransformFactory.EditSmoothCoeffTransform

    protected EditPointMouseTransformFactory.EditSmoothCoeffTransform()

Method Detail

### start

    public void start(PEMouseEvent e)

  Called when the mouse is pressed. The transform should do the initialization work here.

  Specified by:
    `start` in interface `MouseTransform`
  Since:
    jpicedt 1.4

### process

    public void process(PEMouseEvent e)

  Called when the mouse is dragged. This implementation updates the current smooth coefficient value from the vertical mouse position, and update the target polygon accordingly.

  Specified by:
    `process` in interface `MouseTransform`

### next

    public boolean next(PEMouseEvent e)

  Called when the mouse is released. Fires an end-undoable-event.

  Specified by:
    `next` in interface `MouseTransform`
  Returns:
    true if there's another task in the sequence, false if mouse-transform has completed with this mouse-event.

### getHelpMessage

    public String getHelpMessage()

  Description copied from interface: `MouseTransform`
  Return a help-message for the UI, that makes sense with this transform.

  Specified by:
    `getHelpMessage` in interface `MouseTransform`
  Returns:
    a help-message for the UI, that makes sense with this transform.

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Allows the MouseTransform to do specific graphic rendering when it's operating. This implementation does nothing.

  Specified by:
    `paint` in interface `MouseTransform`
  Since:
    jpicedt 1.3.2

### toString

    public String toString()

  Returns:
    a textual representation of this transform for debugging purpose

### getCursor

    public Cursor getCursor()

  Description copied from interface: `MouseTransform`
  Return the cursor for this MouseTransform

  Specified by:
    `getCursor` in interface `MouseTransform`
  Returns:
    a cursor adequate with this mouse-transform, delegating to CursorFactory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org